Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class NonEmptySequence

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  groovy.lang.Sequence
                      groovy.lang.NonEmptySequence

    public class NonEmptySequence
    extends Sequence

Represents a sequence of objects which represents one or many instances of of objects of a given type. The type can be omitted in which case any type of object can be added.

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`NonEmptySequence()`
`NonEmptySequence(java.lang.Class type)`
`NonEmptySequence(java.lang.Class type, java.util.List content)`

Method Summary
`int` | `minimumSize()`

Methods inherited from class Sequence
add, add, addAll, addAll, checkCollectionType, checkType, clear, equals, equals, getMetaClass, getProperty, hashCode, invokeMethod, minimumSize, remove, removeRange, set, set, setMetaClass, setProperty, type

Methods inherited from class java.util.ArrayList
java.util.ArrayList#add(java.lang.Object), java.util.ArrayList#add(int, java.lang.Object), java.util.ArrayList#get(int), java.util.ArrayList#clone(), java.util.ArrayList#indexOf(java.lang.Object), java.util.ArrayList#clear(), java.util.ArrayList#size(), java.util.ArrayList#isEmpty(), java.util.ArrayList#lastIndexOf(java.lang.Object), java.util.ArrayList#contains(java.lang.Object), java.util.ArrayList#subList(int, int), java.util.ArrayList#toArray(), java.util.ArrayList#toArray([Ljava.lang.Object;), java.util.ArrayList#remove(int), java.util.ArrayList#remove(java.lang.Object), java.util.ArrayList#addAll(java.util.Collection), java.util.ArrayList#addAll(int, java.util.Collection), java.util.ArrayList#iterator(), java.util.ArrayList#set(int, java.lang.Object), java.util.ArrayList#trimToSize(), java.util.ArrayList#ensureCapacity(int), java.util.ArrayList#removeAll(java.util.Collection), java.util.ArrayList#retainAll(java.util.Collection), java.util.ArrayList#listIterator(int), java.util.ArrayList#listIterator(), java.util.ArrayList#equals(java.lang.Object), java.util.ArrayList#hashCode(), java.util.ArrayList#toString(), java.util.ArrayList#containsAll(java.util.Collection), java.util.ArrayList#wait(long), java.util.ArrayList#wait(long, int), java.util.ArrayList#wait(), java.util.ArrayList#getClass(), java.util.ArrayList#notify(), java.util.ArrayList#notifyAll()

Constructor Detail

### NonEmptySequence

    public NonEmptySequence()

### NonEmptySequence

    public NonEmptySequence(java.lang.Class type)

### NonEmptySequence

    public NonEmptySequence(java.lang.Class type, java.util.List content)

Method Detail

### minimumSize

    public int minimumSize()

Groovy Documentation